# rpmDependencyConflict_s Struct Reference

Dependency problems found by rpmdepCheck(). More...

`#include <rpmlib.h>`

## Public Types

enum | { RPMDEP_SENSE_REQUIRES, RPMDEP_SENSE_CONFLICTS }

## Data Fields

const char * | byName
const char * | byVersion
const char * | byRelease
Header | byHeader
const char * | needsName
const char * | needsVersion
int | needsFlags
const void ** | suggestedPackages
enum rpmDependencyConflict_s:: { ... } | sense

## Detailed Description

Dependency problems found by rpmdepCheck().

Definition at line 1000 of file rpmlib.h.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  RPMDEP_SENSE_REQUIRES | requirement not satisfied.
  RPMDEP_SENSE_CONFLICTS | conflict was found.

Definition at line 1013 of file rpmlib.h.

## Field Documentation

const char* rpmDependencyConflict_s::byName

package name

Definition at line 1001 of file rpmlib.h.

Referenced by checkPackageDeps(), rpmdepFreeConflicts(), and sameProblem().

const char* rpmDependencyConflict_s::byVersion

package version

Definition at line 1002 of file rpmlib.h.

Referenced by checkPackageDeps(), rpmdepFreeConflicts(), and sameProblem().

const char* rpmDependencyConflict_s::byRelease

package release

Definition at line 1003 of file rpmlib.h.

Referenced by checkPackageDeps(), rpmdepFreeConflicts(), and sameProblem().

Header rpmDependencyConflict_s::byHeader

header with dependency problems

Definition at line 1004 of file rpmlib.h.

Referenced by checkPackageDeps().

const char* rpmDependencyConflict_s::needsName

dependency name

Definition at line 1009 of file rpmlib.h.

Referenced by checkPackageDeps(), rpmdepFreeConflicts(), and sameProblem().

const char* rpmDependencyConflict_s::needsVersion

dependency epoch:version-release

Definition at line 1010 of file rpmlib.h.

Referenced by checkPackageDeps(), rpmdepFreeConflicts(), and sameProblem().

int rpmDependencyConflict_s::needsFlags

dependency flags

Definition at line 1011 of file rpmlib.h.

Referenced by checkPackageDeps(), sameProblem(), and verifyDependencies().

const void** rpmDependencyConflict_s::suggestedPackages

Definition at line 1012 of file rpmlib.h.

Referenced by checkPackageDeps(), and rpmdepFreeConflicts().

enum { ... } rpmDependencyConflict_s::sense

Referenced by checkPackageDeps(), and sameProblem().

The documentation for this struct was generated from the following file:

- lib/rpmlib.h